Skip to main content
数据导入

查询连接器

查询指定连接器的详细信息

POST
/api/v1/connector/dash/getConnector
cURL
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/connector/dash/getConnector" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "connectorId": "conn_abc123"
  }'
{
  "code": "Success",
  "message": "",
  "messageUnmodified": false,
  "requestId": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
  "data": {
    "connectorId": "conn_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx_xxxxxx",
    "connectorName": "默认文件连接器",
    "connectorType": "FILE",
    "connectorSubType": "UNSTRUCTURED",
    "description": "默认文件类型连接器",
    "gmtCreate": "2026-03-16 16:13:26",
    "gmtModified": "2026-03-16 16:13:26"
  },
  "status": 200
}
connectorIdconnectorName 至少需要传入一个。两者都传入时,以 connectorId 为准。

Authorizations

string
header
required

DashScope API Key,在控制台 API Key 页面(https://rag.console.aliyun.com/settings/apikey)获取。

Body

application/json
string

连接器 ID,与 connectorName 至少传入一个。

string

连接器名称,与 connectorId 至少传入一个。

length <= 20

Response

200-application/json
string

响应码,成功时为 Success

integer

HTTP 状态码。

string

请求唯一标识,排查问题时请提供此 ID。

object